# Uses of Class
javassist.expr.MethodCall

Packages that use MethodCall
Package
Description
javassist.expr
This package contains the classes for modifying a method body.

## Uses of MethodCall in javassist.expr

Subclasses of MethodCall in javassist.expr
Modifier and Type
Class
Description
`class`
`ConstructorCall`
Constructor call such as `this()` and `super()` within a constructor body.
Methods in javassist.expr with parameters of type MethodCall
Modifier and Type
Method
Description
`void`
ExprEditor.`edit(MethodCall m)`
Edits a method call (overridable).